Page MenuHomePhabricator

Test WikibaseCirrusSearch on testwikidata
Closed, ResolvedPublic

Description

This issue is for testing WikibaseCirrusSearch on test.wikidata.org:

  • Deploy extension, unloaded & disabled
  • Load extension, but do not enable, verify that no breakage occurs
  • Switch configs to run searches through WikibaseCirrusSearch codebase

Event Timeline

Smalyshev triaged this task as Normal priority.Feb 27 2019, 7:30 PM
Smalyshev created this task.
Restricted Application edited projects, added Discovery-Search; removed Discovery-Search (Current work). · View Herald TranscriptFeb 27 2019, 7:30 PM

Change 489598 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[operations/mediawiki-config@master] Enable WikibaseCirrusSearch loading on testwikidata

https://gerrit.wikimedia.org/r/489598

Change 493629 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[operations/mediawiki-config@master] Run WikibaseCirrusSearch code for search on testwikidatawiki

https://gerrit.wikimedia.org/r/493629

Smalyshev moved this task from Backlog to Next on the User-Smalyshev board.

Change 494524 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[operations/mediawiki-config@master] Enable WikibaseCirrusSearch loading on testwikidata

https://gerrit.wikimedia.org/r/494524

Change 494524 merged by 20after4:
[operations/mediawiki-config@master] Enable WikibaseCirrusSearch loading on testwikidata

https://gerrit.wikimedia.org/r/494524

Change 489598 abandoned by Smalyshev:
Enable WikibaseCirrusSearch loading on testwikidata

Reason:
done in another patch

https://gerrit.wikimedia.org/r/489598

Mentioned in SAL (#wikimedia-operations) [2019-03-06T00:41:15Z] <twentyafterfour@deploy1001> Synchronized wmf-config/InitialiseSettings.php: sync https://gerrit.wikimedia.org/r/#/c/operations/mediawiki-config/+/494524/ for SWAT refs T217276 (duration: 00m 55s)

Change 493629 merged by jenkins-bot:
[operations/mediawiki-config@master] Run WikibaseCirrusSearch code for search on testwikidatawiki

https://gerrit.wikimedia.org/r/493629

Smalyshev updated the task description. (Show Details)Mar 7 2019, 6:49 PM
debt closed this task as Resolved.Mar 8 2019, 5:50 PM